# gfs_pio_error

## Name

gfs_pio_error -- check file status

## Synopsis

    #include <gfarm/gfarm.h>

```char *gfs_pio_error``(GFS_File `gf`);`

## DESCRIPTION

The function `gfs_pio_error()` tests the error indicator for the file pointed to by `gf`, returning non-zero if it is set.

## RETURN VALUES

`NULL`

  There is no error.

Others

  An error occurred. The reason is shown by its pointed strings.

## SEE ALSO

gfs_pio_create(3), gfs_pio_eof(3), gfs_pio_open(3)